import { fetch } from "@/utils/request";
import {
  API_STORE_LIST,
  API_STORE_TYPE_LIST,
  API_STORE_DETAIL,
  API_STORE_BANNER
} from "@/constants/api";

/**
 * 预加载数据
 *  @param {*} payload
 *
 */
export const GetShopList = payload =>
  fetch({ url: API_STORE_LIST, payload, method: "GET" });

export const GetShopTypeList = payload =>
  fetch({ url: API_STORE_TYPE_LIST, payload, method: "GET" });

export const GetShopDetail = payload =>
  fetch({ url: `${API_STORE_DETAIL}/${payload.id}`, method: 'get' });

export const GetShopBanner = payload =>
  fetch({ url: API_STORE_BANNER, payload, method: "GET" });

